package com.miaxis.test;

import com.miaxis.ZzjsApplication;
import com.miaxis.common.sms.MD5Utils;
import com.miaxis.feign.dto.Film;
import com.miaxis.feign.dto.Pdd;
import com.miaxis.feign.service.IFilmService;
import com.miaxis.feign.service.IPddService;
import com.miaxis.feign.service.IWxService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

@SpringBootTest(classes = ZzjsApplication.class)
@RunWith(SpringRunner.class)
public class NormalTest3 {

    @Autowired
    private IPddService pddService;

    private static String client_id = "fa0f2debb5b0444b9719919d7b8204d1";
    private static String client_secret = "3305b6bb37252495848e67fd991134651e308495";
    private static String pid = "1642187_203462988";

    public static String getSign(Map<String, Object> params,String client_secret) {
        Map<String, Object> sortMap = new TreeMap<String, Object>();
        sortMap.putAll(params);
        // 以k1v1k2v2...方式拼接参数
        StringBuilder builder = new StringBuilder();
        for (Map.Entry<String, Object> s : sortMap.entrySet()) {
            String k = s.getKey();
            Object v = s.getValue();
            builder.append(k).append(v);
        }
//        if (!sortMap.isEmpty()) {
//            builder.deleteCharAt(builder.length() - 1);
//        }
        builder.append(client_secret);
        builder.insert(0,client_secret);
        return builder.toString();
    }

    @Test
    public void test() throws Exception {
        long timeLong = System.currentTimeMillis();
        String timestamp = String.valueOf(timeLong/1000);
        Pdd pdd = new Pdd();
        //公共请救参数
        pdd.setType("pdd.ddk.resource.url.gen");
        pdd.setClient_id(client_id);
        pdd.setTimestamp(timestamp);
        //请求参数
        pdd.setGenerate_we_app(true);
        pdd.setPid(pid);
   //     pdd.setResource_type(39996);
      //  pdd.setUrl("https://mobile.yangkeduo.com/duo_transfer_channel.html?resourceType=50005&pid=1642187_203462988&cpsSign=CE_210426_1642187_203462988_bd4c17974e452d309d0604bd7f8b2898&duoduo_type=2");
        pdd.setUrl("https://mobile.yangkeduo.com/duo_transfer_channel.html?resourceType=50005&pid=1642187_203462988&cpsSign=CE_210427_1642187_203462988_dacadfcef522deb82267a7f819874327&duoduo_type=2");

        //sign 加密
        Map<String,Object> param = new HashMap<String,Object>();
        //公共参数
        param.put("type",pdd.getType());
        param.put("client_id",pdd.getClient_id());
        param.put("timestamp",pdd.getTimestamp());
        //请求参数
        param.put("generate_we_app",pdd.getGenerate_we_app());
        param.put("pid",pdd.getPid());
//        param.put("resource_type",pdd.getResource_type());
        param.put("url",pdd.getUrl());

        String sign = getSign(param,client_secret);
        System.out.println(sign);
        String md5 = MD5Utils.MD5Encode(sign).toUpperCase();
        pdd.setSign(md5);

        System.out.println(pdd);
        String result = pddService.getPdd(pdd);
        System.out.println(result);
    }













}
