package com.miaxis.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "wxpay")
public class WxpayConfig {

    private String v3url;
    private String merchantId;
    private String serialNumber;
    private String v3key;
}
