package com.miaxis.common.enums;

/**
 * @author wwl
 * @version 1.0
 * @date 2021/4/27 15:18
 */
public enum HomePageDataType {

    CAROUSElCHART(1, "carouselChart", "轮播图"),
    COUPON(2, "coupon", "优惠劵"),
    MENU(3, "menu", "首页菜单");

    private final Integer code;
    private final String dataType;//文件类型
    private final String info;

    HomePageDataType(Integer code, String dataType, String info)
    {
        this.code = code;
        this.dataType = dataType;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getDataType() {
        return dataType;
    }

    public String getInfo() {
        return info;
    }}
